## Extracting the ``Environment'' of a Model Formula

## Usage

    model.frame(formula, data, na.action, ...)
    model.frame.default(formula, data=sys.frame(sys.parent()),
                        na.action = na.fail, ...)

    Methods for
    	lm	glm	aovlist

## Arguments

`formula` | a model formula
`data` | `data.frame` or `environment` where the objects in formula are.
`na.action` | how `NA`s are treated.
`...` | further arguments such as.......

## Description

`model.frame` (generic function) and its methods return a `data.frame` with the variables from `formula`.

## Value

A `data.frame` containing the variables used in `formula`.

## See Also

`model.matrix` for the ``design matrix''.

## Examples

    data(cars)
    data.class(model.frame(dist ~ speed, data = cars))

[Package Contents]